#include "utility/font_helvB12.h"
#include "utility/font_clR4x6.h"
#include "utility/font_clR6x8.h"

//------------------------------------------------------------------
// Draws the Generators page
//------------------------------------------------------------------
void draw_genny_page(double cta1, double cta1kwh, double cta2, double cta2kwh, double cta3, double cta3kwh, double nodeatemp, double nodeamintemp, double nodeamaxtemp, double ctb1, double ctb1kwh, double ctb2, double ctb2kwh, double ctb3, double ctb3kwh, double nodebtemp, double nodebmintemp, double nodebmaxtemp, double temp, double mintemp, double maxtemp, double hour, double minute, double second, unsigned long last_emontxa, unsigned long last_emontxb, unsigned long last_emonbase)
{
  
//variables to store conversion
  char str[50];
  char str2[5];

  double columnoffset = 0;
  
  int MINTEMP = -15;
  int MAXTEMP = 40;
  byte imageindex;

  glcd.clear();
  glcd.fillRect(0,0,128,64,0);
  glcd.drawLine(64, 0, 64, 64, WHITE);      //top vertical line

 // Current time
  glcd.setFont(font_clR4x6);   		//small font
  glcd.drawString_P(5,58,PSTR("Time:"));
  itoa((int)hour,str,10);
  if  (minute<10) strcat(str,":0"); else strcat(str,":"); 
  itoa((int)minute,str2,10);
  strcat(str,str2); 
  if  (second<10) strcat(str,":0"); else strcat(str,":"); 
  itoa((int)second,str2,10);
  strcat(str,str2); 
  glcd.drawString(28,58,str); 

// Temperature               
  glcd.drawString_P(67,58,PSTR("T:"));
  dtostrf(temp,0,1,str); 
  strcat(str,"c");
  glcd.drawString(76,58,str);   
// Minimum and maximum temperatures
  itoa((int)mintemp,str,10);
  strcat(str,"c");
  glcd.drawString(98,58,str);
  glcd.drawString_P(110,58,PSTR("/"));
  itoa((int)maxtemp,str,10); 
  strcat(str,"c");
  glcd.drawString(114,58,str);


draw_output(columnoffset, last_emontxa, cta1, cta2, cta3, nodeatemp, nodeamintemp, nodeamaxtemp);

columnoffset=64;

draw_output(columnoffset, last_emontxb, ctb1, ctb2, ctb3, nodebtemp, nodebmintemp, nodebmaxtemp);

}

void draw_output(double CTX, unsigned long last_emontxx, double ctx1, double ctx2, double ctx3, double nodextemp, double nodexmintemp, double nodexmaxtemp)
{  
  
  char str[50];
  //CTX
    glcd.setFont(font_clR4x6);
    glcd.drawString_P(51+CTX,4,PSTR("CT1"));
    glcd.drawString_P(51+CTX,18,PSTR("CT2"));
    glcd.drawString_P(51+CTX,32,PSTR("CT3"));

    // Last seen information from EmonTX
    // small font
    glcd.setFont(font_clR4x6);
    itoa((millis()-last_emontxx)/1000, str, 10);
    strcat(str,"s TX!");
    glcd.drawString(3+CTX,0,str);
  
    //big bold font
    glcd.setFont(font_helvB12);

    // Amount of power from CT1
    itoa((int)ctx1,str,10);
    strcat(str,"w");   
    glcd.drawString(3+CTX,4,str);

    // Amount of power from CT2
    itoa((int)ctx2,str,10);
    strcat(str,"w");   
    glcd.drawString(3+CTX,18,str);

    // Amount of power from CT3
    itoa((int)ctx3,str,10);
    strcat(str,"w");   
    glcd.drawString(3+CTX,32,str);

    // Temperature               
    dtostrf(nodextemp,0,1,str); 
    strcat(str,"c");
    glcd.setFont(font_clR6x8);
    glcd.drawString(3+CTX,46,str);   

    // Minimum and maximum temperatures
    glcd.setFont(font_clR4x6);   		//small font
    itoa((int)nodexmintemp,str,10);
    strcat(str,"c");
    glcd.drawString_P(36+CTX,46,PSTR("min"));
    if (nodexmintemp < 0)    { 
    glcd.drawString(46+CTX,46,str); 
    } else {
    glcd.drawString(50+CTX,46,str);   
    }  
    itoa((int)nodexmaxtemp,str,10); 
    strcat(str,"c");
    glcd.drawString_P(36+CTX,51,PSTR("max"));
    glcd.drawString(50+CTX,51,str);
}